Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045684
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2021-01-05 16:172021-01-11 10:19
Reportersebastien_lironView Statuspublic 
Assigned Todmiguelez 
PriorityimmediateResolutionfixedFixed in VersionPR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionPR20Q3.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045684: BOM version windows shows product's name instead of its identifer

DescriptionThe product only show the name and not the identifier in the bom version product list
Steps To Reproduce- set the flag Used as record identifier for the column Characteristic_Desc in Product table
- create a new product as bom
- create a new bom version
- add a product in this bom version
- the product only show the name and not the identifier
TagsNo tags attached.
Attached Filesjpg file icon cartissue2.jpg [^] (44,962 bytes) 2021-01-05 16:17

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0045621 closedalostale Return to Vendor P&E shows product's name instead of its identifer 

-  Notes
(0125332)
dmiguelez (developer)
2021-01-08 14:46

Log in as System Administrator
Go to Tables and Columns window and filter by M_Product Table
Select the Created By column and set is as 'Use as Identifier'

Log out and Log in as F&B Admin
Go to Product Window and create a new record with the default values and the Bill of Materials check enabled.
Move to Bill of Materials Tab and create a new record.
In the BOM Product field, click on the magnifying glass.
Check that in the Name of the Product the field created by is included as the identifier.
(0125335)
hgbot (developer)
2021-01-08 14:48

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/263 [^]
(0125347)
hgbot (developer)
2021-01-11 10:19

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: a5ffbdbe120ec826ce1cbf584049940107f1245d
Author: David Miguélez <david.miguelez@openbravo.com>
Date: 2021-01-11T09:19:50+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/a5ffbdbe120ec826ce1cbf584049940107f1245d [^]

Fixes ISSUE-45684. Changes name column by identifier of the Product Table

---
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
---
(0125348)
hgbot (developer)
2021-01-11 10:19

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/263 [^]

- Issue History
Date Modified Username Field Change
2021-01-05 16:17 sebastien_liron New Issue
2021-01-05 16:17 sebastien_liron Assigned To => platform
2021-01-05 16:17 sebastien_liron File Added: cartissue2.jpg
2021-01-05 16:17 sebastien_liron Modules => Core
2021-01-05 16:17 sebastien_liron Triggers an Emergency Pack => No
2021-01-05 16:17 sebastien_liron Relationship added related to 0045621
2021-01-07 07:23 alostale Assigned To platform => Triage Finance
2021-01-08 14:46 dmiguelez Note Added: 0125332
2021-01-08 14:48 hgbot Note Added: 0125335
2021-01-11 08:56 vmromanos Status new => scheduled
2021-01-11 08:56 vmromanos Assigned To Triage Finance => dmiguelez
2021-01-11 10:19 hgbot Resolution open => fixed
2021-01-11 10:19 hgbot Status scheduled => closed
2021-01-11 10:19 hgbot Fixed in Version => PR21Q2
2021-01-11 10:19 hgbot Note Added: 0125347
2021-01-11 10:19 hgbot Note Added: 0125348


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker